<dlcm-main-toolbar-desktop-horizontal (languageChange)="changeLanguage($event)"
                                      (loginChange)="login()"
                                      (logoutChange)="logout()"
                                      (navigateChange)="changeNavigate($event)"
                                      (searchChange)="search($event)"
                                      (themeChange)="changeTheme($event)"
                                      (darkModeChange)="changeDarkMode($event)"
                                      (userGuideOpen)="openUserGuide()"
                                      [language]="language"
                                      [currentPath]="currentPath"
                                      [displayCart]="displayCart"
                                      [isHomePage]="isHomePage"
                                      [logged]="logged"
                                      [logo]="logo"
                                      [numberArchiveInCart]="numberArchiveInCart"
                                      [numberMyOrderReadyNew]="numberMyOrderReadyNew"
                                      [numberPendingRequestNotificationInbox]="numberPendingRequestNotificationInbox"
                                      [photoUser]="photoUser"
                                      [theme]="theme"
                                      [darkMode]="darkMode"
                                      [userRoles]="userRoles"
                                      [user]="user"
                                      class="horizontal-toolbar"
>
</dlcm-main-toolbar-desktop-horizontal>

<dlcm-main-toolbar-mobile [language]="language"
                          [currentPath]="currentPath"
                          [logged]="logged"
                          [numberArchiveInCart]="numberArchiveInCart"
                          [numberMyOrderReadyNew]="numberMyOrderReadyNew"
                          [numberPendingRequestNotificationInbox]="numberPendingRequestNotificationInbox"
                          [theme]="theme"
                          [darkMode]="darkMode"
                          [userRoles]="userRoles"
                          [frontendVersion]="frontendVersion"
                          (languageChange)="changeLanguage($event)"
                          (loginChange)="login()"
                          (logoutChange)="logout()"
                          (navigateChange)="changeNavigate($event)"
                          (themeChange)="changeTheme($event)"
                          (darkModeChange)="changeDarkMode($event)"
                          (userGuideOpen)="openUserGuide()"
                          class="mobile-toolbar"
>
</dlcm-main-toolbar-mobile>
